//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "usb.h"
#include <Chart.hpp>
#include <ExtCtrls.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <Series.hpp>
#include <Buttons.hpp>
#include <Strutils.hpp>
#define	USBDEV_VENDOR	0x16c0	/* ATMEL */
#define	USBDEV_PRODUCT	0x05dc 	/* USBasp */
static usb_dev_handle *usbhandle;
#define getstata	1
#define getcount	2
#define getirdata	3
#define next_run	4
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TChart *Chart1;
        TButton *Start_Button;
        TButton *Exit_Button;
        TFastLineSeries *Series1;
        TBitBtn *ZoomMore_BitBtn;
        TBitBtn *ZoomLess_BitBtn;
        TBitBtn *ViewAll_BitBtn;
        TBitBtn *MoveLeft_BitBtn;
        TBitBtn *MoveRight_BitBtn;
        TButton *VMode;
        void __fastcall Exit_ButtonClick(TObject *Sender);
        void __fastcall Start_ButtonClick(TObject *Sender);
        void __fastcall ViewAll_BitBtnClick(TObject *Sender);
        void __fastcall ZoomMore_BitBtnClick(TObject *Sender);
        void __fastcall ZoomLess_BitBtnClick(TObject *Sender);
        void __fastcall MoveLeft_BitBtnClick(TObject *Sender);
        void __fastcall MoveRight_BitBtnClick(TObject *Sender);
        void __fastcall VModeClick(TObject *Sender);
private:	// User declarations
        unsigned int igirdata[122];
        unsigned char ylow,yhigh;
        unsigned char count;
        void TForm1::DisplayW(void);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        __fastcall ~TForm1();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
